Pour éviter un problème de GPS, mettez à jour votre iPhone 5

Mickaël Bazoge |

Pour continuer à utiliser votre vaillant iPhone 5, Apple recommande vivement de le mettre à jour avec iOS 10.3.4, si ce n'est pas encore fait, avant le 3 novembre. Si cette mise à jour n'est pas installée, la localisation GPS sera dans les choux et plusieurs des fonctions et services qui ont besoin de l'heure et de la date précises sont susceptibles de ne plus fonctionner (ce sera le cas de l'App Store, d'iCloud, de la messagerie et même de la navigation sur internet).

Merci @jimmyaime

Le constructeur explique que cette curieuse recommandation est liée au problème de synchronisation GPS qui affecte les appareils équipés d'une fonction GPS depuis le 6 avril 2019, mais les produits d'Apple concernés ne seront pas affectés avant le 3 novembre. La Pomme a mis en ligne une fiche technique, en français, à cette adresse pour en savoir plus.

En juillet, Apple avait mis en ligne de nouvelles versions inattendues pour d'anciennes moutures d'iOS (lire : Des mises à jour aussi pour iOS 9 et iOS 10 !). Il s'agissait là aussi de corriger le « bug du GPS ». Encore une fois, si vous avez installé cette nouvelle version d'iOS 10 sur votre iPhone 5 cet été, vous n'avez rien de plus à faire.


avatar MacGruber | 

Léger H.S, moi c’est sur mon Pro Max que j’ai des problèmes de GPS (notamment Waze).

avatar Filou76 | 

@MacGruber

Idem ici sur le 11 Pro

avatar MacGruber | 

@Filou76

Thx

avatar calotype | 

@MacGruber

Je t’invite à faire quelques recherches sur waze.( notamment qu’il balances tous tes déplacement à Facebook et d’autres..)
Mais aussi que dans les tests il n’arrive jamais ou très peu le premier ...

avatar Shaskan | 

@calotype

Je veux bien que tu m’envoies les tests si tu les as 🙂

avatar calotype | 

@Shaskan

Google est ton ami.
Et petite précision, je voulais dire que « Google te fait souvent arriver le premier »

avatar Shaskan | 

@calotype

Oui mais Google est loin d’être mon ami et les tests sont trop nombreux pour trouver rapidement quelque chose de viable

avatar duke90000 | 

@MacGruber

C’est quoi ce problème exactement ?
Je n’ai rien remarqué pour l’instant ou alors pas fait gaffe 😅

avatar MacGruber | 

@duke90000

Bah en gros, dehors ou en bagnole ou BatScoot, aucune réception GPS malgré une bonne couverture réseau

avatar bbibas | 

En mélange temps utiliser Waze ....

avatar TKZ | 

@bbibas

C’est quoi le problème avec Waze?

avatar bbibas | 

@TKZ

Google

avatar Cockring | 

@bbibas

Yes !!

avatar armandgz123 | 

@bbibas

😱

avatar MacGruber | 

@bbibas

Le parano que je suis ne partage rien avec Gogole hormis ma position GPS

avatar Osei Tutu | 

@bbibas
Pourtant vous utilisez bien le correcteur orthographique Apple qui rend votre message incompréhensible ! Au moins Waze fait ce pour quoi il est conçu,au contraire de ce correcteur orthographique !

avatar superjimmy7 | 

Dommage d'utiliser une image de 9to5mac qui est en anglais alors que je vous avais envoyé sur twitter une capture d'écran de mon iPhone 5 avec le même message en français...

avatar Mickaël Bazoge | 
? Ah oui ?? Je crois qu'on a dû passer à côté 😔 Edit : ah je l'ai retrouvé ! Merci.
avatar WWII | 

@MickaëlBazoge

Pourquoi tu as supprimé mon commentaire?
En quoi celui la t’as dérangé?

avatar pim | 

Un remake du bug de l’an 2000 ?

avatar Mrleblanc101 | 

@pim

Aucun rapport

avatar pim | 

@Mrleblanc101

Ah ouf, tu me rassures !

avatar marc_os | 

@pim

Donc tu n’as aucune idée de ce que fut le bogue de l’an 2000 ?

avatar pim | 

@marc_os

On m’avait promis des voitures volantes et des téléphones qui font télévision pour l’an 2000. On disait vraiment ça, c’était commun, c’était comme cela que l’on voyait le progrès à venir dans les années 60. Finalement, rien de tout cela.

Et d’ailleurs, même ce fameux bug de l’an 2000, qui devait créer un cataclysme, dûment annoncé plusieurs fois au journal de 20h, n’a pas tenu ses promesses. Le renouvellement progressif des anciennes machines a fait qu’il n’y a pas eut d’incidence notable.

Mais ce problème de GPS ressemble un peu à ça : un problème avec une date limite, qui paraît du premier abord lointaine, et qui finira par arriver. Mais qui ne pose pas de problème si dans l’intervalle, on a renouvelé le matériel. D’où ma comparaison.

On pourrait dire que placer une date limite dans un logiciel ou dans un matériel, c’est le mal absolu. Rien ne devrait empêcher quelqu’un de garder son matériel et son logiciel un temps très long. Tant qu’on n’essaye pas d’enlever ou de rajouter quoique ce soit à un ordinateur par exemple, il devrait pouvoir fonctionner exactement comme au premier jour. C’est de l’ordre du contrat moral je trouve.

avatar bibi81 | 

Et d’ailleurs, même ce fameux bug de l’an 2000, qui devait créer un cataclysme, dûment annoncé plusieurs fois au journal de 20h, n’a pas tenu ses promesses. Le renouvellement progressif des anciennes machines a fait qu’il n’y a pas eut d’incidence notable.

C'est surtout que les softs ont été mis à jour avant le passage à l'an 2000... Parce que c'est avant tout un problème de soft (qui ne regardaient que les deux derniers chiffres 99 -> 00) et pas un problème de matériel.

Le problème matériel lié à la date aura lieu lui en 2038 (le 19 janvier).

Mais ce problème de GPS ressemble un peu à ça : un problème avec une date limite, qui paraît du premier abord lointaine, et qui finira par arriver. Mais qui ne pose pas de problème si dans l’intervalle, on a renouvelé le matériel. D’où ma comparaison.

Là encore il suffit de mettre à jour les softs (c'est d'ailleurs le sujet de l'article) pas de changer de matériel.

avatar pim | 

@bibi81

Un bug est donc à prévoir pour le 19 janvier 2038 ? Étonnant. C’est la première fois que j’en entends parler.

En deux secondes, j’ai effectivement trouvé une description sur Wikipedia. Ça va mettre en panne un bon paquet de machines (toutes celles en 32 bits, d’après Wikipedia).

avatar WWII | 

Mon iPhone 5 mis a jour. Pas de problème particulier. Tout même j’utilise le Google maps pour les trajets.
Tant que je surveille la batterie cet iPhone 5 sera mon smartphone pour longtemps encore.
Pas la peine de jeter de l’argent en devenant un pigeon pour Apple.

avatar armandgz123 | 

@WWII

Fait ce que tu veux, je suis content d’avoir des appareils d’occasions pas cher perso

avatar comboss | 

@WWII

Bravo à toi,
Tu ne pollue pas la planète au moins, tu pourra dire ça à ceux qui font les manifs pour le climat avec leur téléphone dernier cri ;)

avatar Osei Tutu | 

Il serait important de préciser que cette recommandation s'applique aux iphone et iPad de 2012 et antérieurs comme dit sur le site Apple

avatar brunnno | 

@Osei Tutu

Exact, les iphone 4S sont concernés. Pourquoi l’article ne parle que des 5 ??? 🧐

avatar pechtoc | 

@Osei Tutu

Ah merci de la précision, je me demandais si c'était un soucis sous iOS12, mais du coup non, c'est un soucis des appareils <2012

avatar MKO | 

Franchement Apple quel bordel

avatar 0MiguelAnge0 | 

@MKO

Apple n’y est pour rien. Tout équipement avec une connection GPS embarquant des puces dont l’engine est basée sur l’ancienne génération de chipset doit être mis à jour. Im y aura début november un rolling counter qui va redemarrer, ce qui va fausser l’horloge de référence.

avatar Mrleblanc101 | 

@MKO

Bordel ? On parle d'une mise à jour mineure pour s'assurer que des appareils qui ont plus de 5 ans continue de fonctionner convenablement... C'est pas du côtéd'Android qu'on verrait quelque chose du genre

avatar AhRiMaN | 

Nan mais tu comprends il faut bien se plaindre pour quelque chose sinon quel ennuie...

avatar fte | 

@Mrleblanc101

"C'est pas du côtéd'Android qu'on verrait quelque chose du genre"

Bin en fait si, on le voit, quoique probablement pas sur tous les appareils.

avatar SyMich | 

Bonne initiative d'Apple!
Maintenant, quitte à diffuser une mise à jour d'iOS10, ils auraient pu embarquer les mises à jour de sécurité dont cette version n'a pas bénéficié. Je pense en particulier à la faille majeure du protocole WiFi WPA2.... ces iPhones restent porteurs de cette faille et dès qu'ils se connectent à un réseau WiFi protégé en WPA2, ils constituent potentiellement une porte d'entrée pour se connecter au réseau.
J'ai vérifié après mise à jour d'un iPhone 4S, cette faille wpa2 reste utilisable (il suffit d'utiliser le POC qu'avait mis à disposition celui qui avait révélé la faille pour vérifier qu'on y est toujours exposé)

avatar imrfreeze | 

Mon iPhone 5c ne me propose pas cette mise à jour....

avatar antoinelefrendam | 

@imrfreeze

Non, il est sorti en 2013. Pas besoin de faire la mise à jour

avatar imrfreeze | 

@antoinelefrendam

Ok merci ! Je n’avais pas vu cette restriction de date

avatar antoinelefrendam | 

Une question se pose néanmoins, ça m’étonnerait que personne ne les poser avant moi. Qu’en est-il de l’iPhone quatre ? Le 4S et le cinq ont été mises à jour, pourquoi pas les autres ? Vont-ils être affecté par le problème ? J’en utilise encore très souvent

avatar marc_os | 

@antoinelefrendam

L’iPhone 4 est bloqué à iOS 7.
Il faudrait donc une màj de iOS 7 !

avatar ios | 

@antoinelefrendam

Idem même question, QUID des anciens ? iPhone 1 à 4 et iPad 1 Cellular ? Donc de potentiels iOS 7.1.3, 6.1.7, 5.1.2, 4.2.2 et 3.1.4 ? Ça m’étonnerait fortement qu’ils le fassent, mais déjà il faudra savoir s’ils seront touchés ? Réponse Dimanche…

avatar armandgz123 | 

@antoinelefrendam

J’espère qu’il y aura un tweak sur cydia si jamais des problèmes apparaissent sur mon iPhone 4 sous iOS 6 !

avatar antoinelefrendam | 

@armandgz123

C’est vrai, je n’avais pas pensé à cydia

avatar SyMich | 

Quand je lis que certains utilisent encore des iPhones 4, voire plus anciens, une question me tarabuste....
Ces iPhones n'acceptant que des apps 32 bit et toutes ces apps 32bits ayant été retirées de l'AppStore, comment faites-vous pour trouver des apps? Et même si vous avez déjà vos apps installées, en cas de réinitialisation (suite à panne par exemple), comment feriez-vous pour retelecharger les apps dont vous avez besoin?
Cette question m'intéresse, car j'ai quelques vieux iPhones et iPads que je ne donne pas et ne mets pas en vente d'occasion pour cette raison. Je me dis que celui ou celle qui récupérerait ces modèles, ne pourrait installer aucune app dessus.

avatar antoinelefrendam | 

@SyMich

Bonsoir, pour répondre à ta question les applications sont encore disponibles pour les versions précédentes de la version la plus récente. Un message je t’avertis quand tu télécharge l’application sur un ancien iPhone. Attention, certaines applications ne sont comme tu dis plus disponible. Cependant les applications principales sont toujours là. Par exemple Facebook. C’est Téléphone convienne pour des usages très basique. Par exemple téléphone professionnel

avatar SyMich | 

Merci des précisions! 👍

avatar tylerdurden13 | 

@SyMich

Les app 32 bits ne sont pas retirées, lorsque la dernière version disponible de l’app n’est pas compatible avec l’OS de l’iPhone / iPad il proposera de télécharger la dernière version compatible.

Pages

CONNEXION UTILISATEUR